EndpointsRounds
Get player's latest replay
GET
/v2/leagues/{league_id}/players/{player_id}/latest-replayReturn the newest watchable episode involving one player in a league.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
league_id*League Id
League associated with the requested resource.
Match
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$player_id*Player Id
Player whose newest replay should be returned.
Match
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$curl -X GET "https://softmax.com/api/observatory/v2/leagues/string/players/string/latest-replay"{ "round": { "id": "string", "round_number": 0, "commissioner_key": "string", "execution_backend": "dispatch", "round_config": {}, "round_display": {}, "status": "pending", "scheduled_by": "ladder", "error": "string", "skip_kind": "budget_refused", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "division": { "id": "string", "name": "string", "level": 0, "type": "string", "description": "string", "hidden": true, "archived_at": "2019-08-24T14:15:22Z", "round_schedule": {}, "notes": "string", "league": { "name": "string", "short_name": "string", "description": "string", "commissioner_key": "string", "commissioner_config": {}, "commissioner_migration_version": "string", "rounds_paused_at": "2019-08-24T14:15:22Z", "submissions_locked_at": "2019-08-24T14:15:22Z", "settings": {}, "filler_policy_version_ids": [ "19818f13-26cb-4fdd-9b0c-2e0096e5f70d" ], "seed_policy_version_ids": [ "9b626be7-cdd2-4e22-8014-dab46ae046a1" ], "seed_policy_number": 0, "rules": {}, "public": false, "hidden": false, "is_game_of_week": false, "disabled_at": "2019-08-24T14:15:22Z", "notes": "string", "id": "string", "game": { "name": "string", "coworld_name": "string", "description": "string", "owner_user_id": "string", "notes": "string", "id": "string", "default_league_id": "string", "coworld_id": "string", "canonical_coworld_id": "string", "coworld_tags": [ "string" ], "created_at": "2019-08-24T14:15:22Z" }, "mod": { "name": "string", "description": "string", "owner_user_id": "string", "notes": "string", "id": "string", "game": { "name": "string", "coworld_name": "string", "description": "string", "owner_user_id": "string", "notes": "string", "id": "string", "default_league_id": "string", "coworld_id": "string", "canonical_coworld_id": "string", "coworld_tags": [ "string" ], "created_at": "2019-08-24T14:15:22Z" }, "created_at": "2019-08-24T14:15:22Z" }, "created_at": "2019-08-24T14:15:22Z", "participation_url": "string", "forum_markdown_url": "string", "wiki_markdown_url": "string", "logs_reporter_id": "string", "logs_source": "league", "handicaps": { "property1": 0, "property2": 0 }, "handicap_dynamic": { "max_handicap": 0.5, "curve": 1, "min_entrants": 3, "dominance_ratio_for_max": 3, "winrate_for_max": 0.85 } }, "created_at": "2019-08-24T14:15:22Z", "commissioner_description": { "round_schedule": "string", "next_round": "string", "round_structure": "string", "leaderboard_rules": "string", "scoring_mechanics": "string", "changelog": [ { "date": "string", "title": "string", "detail": "string", "category": "string" } ] } }, "created_at": "2019-08-24T14:15:22Z" }, "episode": { "id": "string", "inspect_url": "string", "episode_id": "a7b62598-1927-4181-99d5-5d746c0bbcfe", "coworld_id": "string", "coworld_name": "string", "coworld_version": "string", "variant_name": "string", "job_index": 0, "status": "pending", "policy_version_ids": [ "de6640ed-6e83-4f61-9613-b56ec10dde91" ], "participants": [ { "position": 0, "kind": "policy", "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446", "policy_id": "ee9b03e0-6495-427a-85a5-34444d24ae04", "policy_name": "string", "version": 0, "player_id": "string", "player_name": "string", "owner_name": "string", "is_filler": false, "is_seed": false } ], "replay_url": "string", "live_url": "string", "error_type": "string", "error": "string", "failed_policy_index": 0, "failed_agent_index": 0, "scores": [ { "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446", "score": 0 } ], "participant_scores": [ { "position": 0, "score": 0 } ], "created_at": "2019-08-24T14:15:22Z", "dispatched_at": "2019-08-24T14:15:22Z", "running_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" }}